Manage API keys
The Manage API Keys endpoints let you create, list, and delete API keys from your Nylas application outside of the Nylas Dashboard.
Nylas Service Account
After Nylas Support creates a Service Account for your application, they send you a JSON file with the following information:
{
"type": "service_account",
"private_key_id": "<API_KEY_GUID>",
"private_key": "<API_KEY_SECRET>",
"organization_id": "<ORGANIZATION_GUID>",
"region": "us"
"permissions": ["apikey.create", "apikey.delete", "apikey.get"]
}
You use the information in this file to generate the headers that sign your requests (for example, the X-Nylas-Signature header uses your private key's RSA, a 2048-bit key, and an SHA-256 hashed string of the path, method, timestamp, nonce, and payload.). Be sure to store this information securely.
GET /v3/admin/applications/{application_id}/api-keys⚠️ Before you can use the Manage API Keys endpoints, you need to create a Nylas Service Account . Returns a list of API keys associated with the specified Nylas application.
POST /v3/admin/applications/{application_id}/api-keys⚠️ Before you can use the Manage API Keys endpoints, you need to create a Nylas Service Account . Creates an API key for the specified Nylas application.
GET /v3/admin/applications/{application_id}/api-keys/{api_key_id}⚠️ Before you can use the Manage API Keys endpoints, you need to create a Nylas Service Account . Returns the specified API key.
DELETE /v3/admin/applications/{application_id}/api-keys/{api_key_id}⚠️ Before you can use the Manage API Keys endpoints, you need to create a Nylas Service Account . Deletes the specified API key.